﻿Imports System.ComponentModel
Imports System.Runtime.CompilerServices

Public MustInherit Class ViewModelBase
    Implements INotifyPropertyChanged

    Public Event PropertyChanged As PropertyChangedEventHandler Implements INotifyPropertyChanged.PropertyChanged

    Public Overridable Sub RaisePropertyChanged(<CallerMemberName> Optional prop As String = "")
        If prop IsNot Nothing Then RaiseEvent PropertyChanged(Me, New PropertyChangedEventArgs(prop))
    End Sub


    Private _isBusy As Boolean
    Public Property IsBusy() As Boolean
        Get
            Return _isBusy
        End Get
        Set(ByVal value As Boolean)
            _isBusy = value
            RaisePropertyChanged()
        End Set
    End Property


End Class
